# Module ra_monitors

- Data Types
- Function Index
- Function Details

## Data Types

### component()

    component() = machine | aux | snapshot_sender

### state()

abstract datatype: `state()`

## Function Index

init/0 |
add/3 |
remove/3 |
remove_all/2 |
handle_down/2 |
components/2 |

## Function Details

### init/0

    init() -> state()

### add/3

    add(Pid :: pid() | node(),
        Component :: component(),
        Monitors :: state()) ->
           state()

### remove/3

    remove(Target :: pid() | node(),
           Component :: component(),
           Monitors :: state()) ->
              state()

### remove_all/2

    remove_all(Component :: component(), Monitors :: state()) ->
                  state()

### handle_down/2

    handle_down(Target :: pid() | node(), Monitors0 :: state()) ->
                   {[component()], state()}

### components/2

    components(Target :: pid() | node(), Monitors :: state()) ->
                  [component()]

Generated by EDoc